//
// $Id: codehelper.h 2 2007-12-30 09:48:00Z hat $
//
#ifndef H_CODEHELPER
#define H_CODEHELPER

#include "types.h"

class CodeHelper
{
public:
    CodeHelper(int sprnum, const string& sSprName=string("*"));
    ~CodeHelper();

    void add_byte(UINT32 val);
    void add_word(UINT32 val);
    void add_double(UINT32 val);
    void add_extended(UINT32 val);
    void add_decimal(UINT32 val);
    void add_decimal(INT32 val);

    void output(FILE *fp);
protected:
    int sprite_number;  //< Number of this sprite
    string sSprName;    //< Text to print for the 'name' of this sprite
    list<string> cBytes; //< Numbers/text to output
};

#endif
